﻿using System.Web.Mvc;
using Website.Models;

namespace Website.Controllers
{
    public class HomeController : Controller
    {
        public static int CurrentInning;

        public ActionResult Index()
        {
            return View();
        }

        [OutputCache(Duration = 0)]
        public JsonResult InventoryData()
        {
            var manager = new InventoryManager();
            var model = manager.GetInventoryData();
            return Json(model, JsonRequestBehavior.AllowGet);
        }

        public JsonResult ResetInventory()
        {
            var manager = new InventoryManager();
            var model = manager.CreateInitialData();
            return Json(model);
        }
    }
}
